tag: services

env:
  - PG_TEST

script: |
  source startup.sh
  zapi -h $ZQD_HOST new -k archivestore testsp >/dev/null
  zapi -h $ZQD_HOST -s testsp post babble.zson >/dev/null
  zapi -h $ZQD_HOST -s testsp get -z "count()"

inputs:
  - name: startup.sh
    source: startup.sh
  - name: babble.zson
    source: ../../../../../ztests/suite/data/babble.zson
  - name: migrations
    symlink: ../migrations

outputs:
  - name: stdout
    data: |
      {count:1000 (uint64)} (=0)
